/*

    Use this program to translate a BRL-CAD file to a brep file which
    can be read using OpenCASCADE.

    format: g-brep {filename} {model} [model] ...

 */

#include "BRLFile.h"

main(int argc, char **argv)
{
    if(argc<3) {
        cerr << "Filename and object name(s) required\n";
        return 1;
    }
    BRLFile solid(argv[1],BRLFile::Cutting);
    int connect=1;
    for(int i=2; i<argc; i++) {
        if(argv[i][0]=='-') {
            switch(argv[i][1]) {
            case 'c': connect=0; break;
            default:
                cerr << "Unknown option :" << argv[i] << "\n";
                return 1;
            }
        } else if(solid.AddModel(argv[i])) {
	    cerr << "Cannot find model " << argv[i] << '\n';
	    return 1;
	}
    }
    if(connect)
        solid.Connect(); 
    else
        solid.Collect();
    solid.SaveBRep("test.brep");
    //solid.Dump(cout);
}
